Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.opengl.renderer
Class Renderer

    java.lang.Object
      org.newdawn.slick.opengl.renderer.Renderer

    public class Renderer

extends java.lang.Object

The static holder for the current GL implementation. Note that this renderer can only be set before the game has been started.

Author:
  kevin

Field Summary
`static int` | `DEFAULT_LINE_STRIP_RENDERER` The indicator for direct GL line renderer (the default)
`static int` | `IMMEDIATE_RENDERER` The indicator for immediate mode renderering (the default)
`static int` | `QUAD_BASED_LINE_STRIP_RENDERER` The indicator for consistant quad based lines
`static int` | `VERTEX_ARRAY_RENDERER` The indicator for vertex array based rendering

Constructor Summary
`Renderer()`

Method Summary
`static SGL` | `get()` Get the renderer to be used when accessing GL
`static LineStripRenderer` | `getLineStripRenderer()` Get the line strip renderer to use
`static void` | `setLineStripRenderer(int type)` Set the line strip renderer to one of the known types
`static void` | `setLineStripRenderer(LineStripRenderer renderer)` Set the line strip renderer to be used globally
`static void` | `setRenderer(int type)` Set the renderer to one of the known types
`static void` | `setRenderer(SGL r)` Set the renderer to be used

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMMEDIATE_RENDERER

    public static final int IMMEDIATE_RENDERER

  The indicator for immediate mode renderering (the default)

  See Also:
    Constant Field Values

### VERTEX_ARRAY_RENDERER

    public static final int VERTEX_ARRAY_RENDERER

  The indicator for vertex array based rendering

  See Also:
    Constant Field Values

### DEFAULT_LINE_STRIP_RENDERER

    public static final int DEFAULT_LINE_STRIP_RENDERER

  The indicator for direct GL line renderer (the default)

  See Also:
    Constant Field Values

### QUAD_BASED_LINE_STRIP_RENDERER

    public static final int QUAD_BASED_LINE_STRIP_RENDERER

  The indicator for consistant quad based lines

  See Also:
    Constant Field Values

Constructor Detail

### Renderer

    public Renderer()

Method Detail

### setRenderer

    public static void setRenderer(int type)

  Set the renderer to one of the known types

  Parameters:
    `type` - The type of renderer to use

### setLineStripRenderer

    public static void setLineStripRenderer(int type)

  Set the line strip renderer to one of the known types

  Parameters:
    `type` - The type of renderer to use

### setLineStripRenderer

    public static void setLineStripRenderer(LineStripRenderer renderer)

  Set the line strip renderer to be used globally

  Parameters:
    `renderer` - The line strip renderer to be used

### setRenderer

    public static void setRenderer(SGL r)

  Set the renderer to be used

  Parameters:
    `r` - The renderer to be used

### get

    public static SGL get()

  Get the renderer to be used when accessing GL

  Returns:
    The renderer to be used when accessing GL

### getLineStripRenderer

    public static LineStripRenderer getLineStripRenderer()

  Get the line strip renderer to use

  Returns:
    The line strip renderer to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.